%{?nodejs_find_provides_and_requires}

%global npm_name hashish
%global enable_tests 1

Summary:       Hash data structure manipulation functions
Name:          nodejs-%{npm_name}
Version:       0.0.4
Release:       6%{?dist}.3
Group:         Development/Languages
License:       MIT
URL:           http://github.com/substack/node-hashish
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Patch0:        nodejs-hashish-test.patch
BuildRequires: nodejs-packaging
BuildRequires: npm(traverse) >= 0.2.4
%if 0%{?enable_tests}
BuildRequires:  npm(expresso) >= 0.6.0
%endif
BuildArch:     noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Hashish is a node.js library for manipulating hash data structures.
It is distilled from the finest that ruby, perl, and haskell have 
to offer by way of hash/map interfaces.

%prep
%setup -q -n package
%patch0 -p1

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
expresso
%endif

%files
%doc README.markdown examples
%{nodejs_sitelib}/%{npm_name}

%changelog
* Tue Oct  4 2016 Oleg Girko <ol@infoserver.lv> - 0.0.4-6
- Create proper node_modules subdirectory with symlinks to dependencies
- Enable tests properly
- Add patch to fix module import in tests
- Require nodejs-packaging instead of nodejs-devel for build
- Add proper ExclusiveArch directive
- Add examples to documentation
- Don't install examples and tests
* Thu Feb  4 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Sat Jun  7 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Sat Aug  3 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Tue May 21 2013 Troy Dawson <tdawson@redhat.com> - 0.0.4-1
- Initial build
